package com.bonus.sgzb.app.service.impl;

import com.bonus.sgzb.app.domain.LeaseApplyDetails;
import com.bonus.sgzb.app.mapper.LeaseApplyDetailsMapper;
import com.bonus.sgzb.app.service.LeaseApplyDetailsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
/**
* Description:
* @Author 阮世耀
* @Create 2023/12/13 15:45
* @Version 1.0
*/

@Service
public class LeaseApplyDetailsServiceImpl implements LeaseApplyDetailsService{

    @Resource
    private LeaseApplyDetailsMapper leaseApplyDetailsMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return leaseApplyDetailsMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int deleteByParentId(String id) {
        return leaseApplyDetailsMapper.deleteByParentId(id);
    }

    @Override
    public int insert(LeaseApplyDetails record) {
        return leaseApplyDetailsMapper.insert(record);
    }

    @Override
    public int insertOrUpdate(LeaseApplyDetails record) {
        return leaseApplyDetailsMapper.insertOrUpdate(record);
    }

    @Override
    public int insertOrUpdateSelective(LeaseApplyDetails record) {
        return leaseApplyDetailsMapper.insertOrUpdateSelective(record);
    }

    @Override
    public int insertSelective(LeaseApplyDetails record) {
        return leaseApplyDetailsMapper.insertSelective(record);
    }

    @Override
    public LeaseApplyDetails selectByPrimaryKey(Integer id) {
        return leaseApplyDetailsMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(LeaseApplyDetails record) {
        return leaseApplyDetailsMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(LeaseApplyDetails record) {
        return leaseApplyDetailsMapper.updateByPrimaryKey(record);
    }

    @Override
    public int updateBatch(List<LeaseApplyDetails> list) {
        return leaseApplyDetailsMapper.updateBatch(list);
    }

    @Override
    public int updateBatchSelective(List<LeaseApplyDetails> list) {
        return leaseApplyDetailsMapper.updateBatchSelective(list);
    }

    @Override
    public int batchInsert(List<LeaseApplyDetails> list) {
        return leaseApplyDetailsMapper.batchInsert(list);
    }

}
